TakenAt: 2023-09-03T15:46:59Z
TakenAtLocal: 2023-09-03T16:46:59Z
TakenSrc: meta
UID: pt67v3lccxgbkeyu
Type: image
Title: Portsmouth / United Kingdom / 2023
TimeZone: Europe/London
PlaceSrc: meta
Altitude: 8
Lat: 50.81103611111111
Lng: -1.0824833333333332
Year: 2023
Month: 9
Day: 3
ISO: 2000
Exposure: 1/23
FNumber: 2.8
FocalLength: 77
Quality: 4
Details:
  Keywords: blue, england, gladstone, place, portsmouth, stamshaw, united-kingdom
  Software: "16.6"
  SoftwareSrc: meta
CreatedAt: 2025-11-24T05:54:57Z
UpdatedAt: 2025-11-24T09:13:39Z
